Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portlet
Class ModelAndView

    java.lang.Object
      com.endeca.portlet.ModelAndView

    public class ModelAndView

extends java.lang.Object

Constructor Summary
`ModelAndView()`
`ModelAndView(java.lang.String viewName)`
`ModelAndView(java.lang.String viewName, java.util.Map model)`
`ModelAndView(java.lang.String viewName, java.lang.String modelName, java.lang.Object modelObject)`

Method Summary
`ModelAndView` | `addAllObjects(java.util.Map modelMap)`
`ModelAndView` | `addObject(java.lang.String attributeName, java.lang.Object attributeValue)`
`void` | `clear()`
`java.util.Map` | `getModel()`
`protected java.util.Map` | `getModelInternal()`
`ModelMap` | `getModelMap()`
`java.lang.String` | `getViewName()`
`boolean` | `hasView()`
`boolean` | `isEmpty()`
`void` | `setViewName(java.lang.String viewName)`
`java.lang.String` | `toString()`
`boolean` | `wasCleared()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelAndView

    public ModelAndView()

### ModelAndView

    public ModelAndView(java.lang.String viewName)

### ModelAndView

    public ModelAndView(java.lang.String viewName,
                        java.util.Map model)

### ModelAndView

    public ModelAndView(java.lang.String viewName,
                        java.lang.String modelName,
                        java.lang.Object modelObject)

Method Detail

### setViewName

    public void setViewName(java.lang.String viewName)

### getViewName

    public java.lang.String getViewName()

### hasView

    public boolean hasView()

### getModelInternal

    protected java.util.Map getModelInternal()

### getModelMap

    public ModelMap getModelMap()

### getModel

    public java.util.Map getModel()

### addObject

    public ModelAndView addObject(java.lang.String attributeName,
                                  java.lang.Object attributeValue)

### addAllObjects

    public ModelAndView addAllObjects(java.util.Map modelMap)

### clear

    public void clear()

### isEmpty

    public boolean isEmpty()

### wasCleared

    public boolean wasCleared()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD